Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.charts
Class XSSFManualLayout

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFManualLayout

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.charts.ManualLayout

    public final class XSSFManualLayout

extends java.lang.Object
implements org.apache.poi.ss.usermodel.charts.ManualLayout

Represents a SpreadsheetML manual layout.

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)` Create a new SpreadsheetML manual layout.
`XSSFManualLayout(XSSFChart chart)` Create a new SpreadsheetML manual layout for chart.

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout` | `getCTManualLayout()` Return the underlying CTManualLayout bean.
`org.apache.poi.ss.usermodel.charts.LayoutMode` | `getHeightMode()`
`double` | `getHeightRatio()`
`org.apache.poi.ss.usermodel.charts.LayoutTarget` | `getTarget()`
`org.apache.poi.ss.usermodel.charts.LayoutMode` | `getWidthMode()`
`double` | `getWidthRatio()`
`double` | `getX()`
`org.apache.poi.ss.usermodel.charts.LayoutMode` | `getXMode()`
`double` | `getY()`
`org.apache.poi.ss.usermodel.charts.LayoutMode` | `getYMode()`
`void` | `setHeightMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)`
`void` | `setHeightRatio(double ratio)`
`void` | `setTarget(org.apache.poi.ss.usermodel.charts.LayoutTarget target)`
`void` | `setWidthMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)`
`void` | `setWidthRatio(double ratio)`
`void` | `setX(double x)`
`void` | `setXMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)`
`void` | `setY(double y)`
`void` | `setYMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFManualLayout

    public XSSFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)

  Create a new SpreadsheetML manual layout.

  Parameters:
    `ctLayout` - a Spreadsheet ML layout that should be used as base.

### XSSFManualLayout

    public XSSFManualLayout(XSSFChart chart)

  Create a new SpreadsheetML manual layout for chart.

  Parameters:
    `chart` - a chart to create layout for.

Method Detail

### getCTManualLayout

    public org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout getCTManualLayout()

  Return the underlying CTManualLayout bean.

  Returns:
    the underlying CTManualLayout bean.

### setWidthRatio

    public void setWidthRatio(double ratio)

  Specified by:
    `setWidthRatio` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getWidthRatio

    public double getWidthRatio()

  Specified by:
    `getWidthRatio` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setHeightRatio

    public void setHeightRatio(double ratio)

  Specified by:
    `setHeightRatio` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getHeightRatio

    public double getHeightRatio()

  Specified by:
    `getHeightRatio` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getTarget

    public org.apache.poi.ss.usermodel.charts.LayoutTarget getTarget()

  Specified by:
    `getTarget` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setTarget

    public void setTarget(org.apache.poi.ss.usermodel.charts.LayoutTarget target)

  Specified by:
    `setTarget` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getXMode

    public org.apache.poi.ss.usermodel.charts.LayoutMode getXMode()

  Specified by:
    `getXMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setXMode

    public void setXMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)

  Specified by:
    `setXMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getYMode

    public org.apache.poi.ss.usermodel.charts.LayoutMode getYMode()

  Specified by:
    `getYMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setYMode

    public void setYMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)

  Specified by:
    `setYMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getX

    public double getX()

  Specified by:
    `getX` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setX

    public void setX(double x)

  Specified by:
    `setX` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getY

    public double getY()

  Specified by:
    `getY` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setY

    public void setY(double y)

  Specified by:
    `setY` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getWidthMode

    public org.apache.poi.ss.usermodel.charts.LayoutMode getWidthMode()

  Specified by:
    `getWidthMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setWidthMode

    public void setWidthMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)

  Specified by:
    `setWidthMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### getHeightMode

    public org.apache.poi.ss.usermodel.charts.LayoutMode getHeightMode()

  Specified by:
    `getHeightMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

### setHeightMode

    public void setHeightMode(org.apache.poi.ss.usermodel.charts.LayoutMode mode)

  Specified by:
    `setHeightMode` in interface `org.apache.poi.ss.usermodel.charts.ManualLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD